# Interface LineSymbol3DLayerJson

LineSymbol3DLayer renders Polyline geometries using a flat 2D line with a LineSymbol3D in a 3D SceneView.

See https://developers.arcgis.com/web-scene-specification/objects/lineSymbol3DLayer/.

interface LineSymbol3DLayerJson {
enable?: boolean;
material?: MaterialJson;
size?: number;
type: "Line";
}

#### Hierarchy (view full)

- Symbol3DLayerJsonBase
  - LineSymbol3DLayerJson

#####
Index

### Properties

enable?
material?
size?
type

##
Properties

### `Optional` enable

enable?: boolean

Type: Boolean.

### `Optional` material

material?: MaterialJson

The material used to shade the geometry.

### `Optional` size

size?: number

Line width in points, positive only.

### type

type

The type of the Symbol3DLayer. See Symbol3DLayerJsonType.

Overrides Symbol3DLayerJsonBase.type